cURL
curl --request POST \ --url https://api.bunny.net/mc/registries/config-suggestions \ --header 'AccessKey: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "registryId": "<string>", "imageName": "<string>", "imageNamespace": "<string>", "tag": "<string>" } '
{ "endpointSuggestions": [ { "displayName": "<string>", "cdn": { "isSslEnabled": true, "stickySessions": { "sessionHeaders": [ "<string>" ], "enabled": true, "cookieName": "<string>" }, "pullZoneId": 123, "portMappings": [ { "containerPort": 32768, "exposedPort": 32768, "protocols": [ "tcp" ] } ] }, "anycast": { "type": "iPv4", "portMappings": [ { "containerPort": 32768, "exposedPort": 32768, "protocols": [ "tcp" ] } ] } } ], "environmentVariablesSuggestions": [ { "name": "<string>", "defaultValue": "<string>", "description": "<string>", "required": true } ], "appName": "<string>", "description": "<string>", "instructions": "<string>", "registryUrl": "<string>" }
Gets recommended configuration for a container image including endpoint configurations and environment variables.
Please enter a valid personal API key.
The registry identifier. Can be "dockerhub", "github", or a private registry ID.
1
1 - 100
Configuration suggestions were successfully retrieved.
Show child attributes
Was this page helpful?